Subject: Re: RFC: ethtool: add device-specific feature support in a generic fashion

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Sun, 13 Dec 2009 22:12:00 -0800

On Sun, 2009-12-13 at 20:19 -0800, David Miller wrote:
> From: Peter P Waskiewicz Jr <[email-masked]>
> Date: Sat, 12 Dec 2009 23:09:24 -0800
> 
> > Excellent points.  Thanks Ben!
> 
> See ethtool_gstrings please.
> 

Yes, I looked at this before, then started thinking about it harder than
I needed to.

> There is no reason to put a "char *" in any of your interfaces, just
> as we don't need to in the existing ethtool stats stuff.
> 

Ah, right.  Just a pointer to a chunk of data.  I see now.

> And you can put the number of knobs available in struct
> ethtool_drvinfo right before n_priv_flags where we have a reserved
> area just for adding things like this.
> 
> You are specifying way too much new stuff in your datastructures,
> unnecessary duplicating existing structures and facilities.

Yeah, I was making this too complicated.  Glad I sent the RFC on the
design first before writing any code.  :-)

> I pointed you at the ethtool private stats stuff because you
> can reuse %85 of it's implementation for your purposes :-)

Right!  In this case, I just needed a firmer bonk on the head to look in
the right direction.

On the right track now Dave, thanks.

-PJ